Other B4J v4.01 is available for download

Erel

B4X founder
Staff member
Licensed User
Longtime User
I'm happy to release B4J v4.00. You can download it here: www.b4x.com/b4j

New features and improvements:

UI Apps
  • DatePicker control:

    SS-2015-12-16_11.28.30.png


  • SplitPane: https://www.b4x.com/android/forum/threads/splitpane-tutorial.61418/

    SS-2015-12-16_11.29.46.png


  • Msgbox, Msgbox2, InputList: https://www.b4x.com/android/forum/threads/msgbox-inputlist.61461/

    SS-2015-12-16_11.30.56.png


  • Shadows (designer feature):

    SS-2015-12-16_11.32.39.png


  • Support for right to left orientations.
  • ContorlsFX library was updated.
Server solutions
Other
  • Debugger performance improvements.
  • IDE bug fixes.
Starting from v4.00 the minimum version for UI apps is Java 8.40 and for server solutions is Java 8 (make sure to update it under Tools - Configure Paths).

v4.01 is now available for download. This update fixes an issue where a large number of variables caused the debugger to fail. Thank you @EJLib for providing the project that helped with fixing this issue.
 
Last edited:

MbedAndroid

Active Member
Licensed User
Longtime User
got a errormessage with this new version

dbutils._process_globals (java line: 391)
java.lang.NoClassDefFoundError: javafx/scene/control/Dialog
at b4j.example.dbutils._process_globals(dbutils.java:391)
at b4j.example.main.initializeProcessGlobals(main.java:610)
at b4j.example.main.main(main.java:28)
Caused by: java.lang.ClassNotFoundException: javafx.scene.control.Dialog
at java.net.URLClassLoader$1.run(URLClassLoader.java:372)
at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:360)
at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
... 3 more
 
Upvote 0

MbedAndroid

Active Member
Licensed User
Longtime User
second problem i encounter:
this statement gives a error now in version 4.00
Private fx As JFX

(got javac.exe version 8.031 installed)
 
Upvote 0

MbedAndroid

Active Member
Licensed User
Longtime User
i dont use a UI app, and i checked all downloads up to 8.066 and in those downloads is no javac.exe anymore, so you cant point it..
 
Upvote 0

MbedAndroid

Active Member
Licensed User
Longtime User
mmmm
strange.. just installed the build on the rasp and again those errors... with the latest jdk installed
But strangly running it now local on windows these errors are gone...
 
Upvote 0

Johan Schoeman

Expert
Licensed User
Longtime User
Last edited:
Upvote 0

MbedAndroid

Active Member
Licensed User
Longtime User
i'm stuck a bit with rasbian, got already the latest java on it so cant update
there is a ARM download on Oracle, but dont know i can use that one

is it possible to have the previous build B4j for download?
 
Upvote 0
Top